POST api/Referrals
Creates a new referral or updates an existent referral's information.
Request Information
URI Parameters
None.
Body Parameters
ReferralModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the referral. |
string |
None. |
| IsDefault |
Indicates whether the referral is default or not. |
boolean |
None. |
| SortOrder |
Sort order of the referral. |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"isDefault": true,
"sortOrder": 3,
"id": "0f096a16-0a04-41b8-b9ce-dbb1735ab80d",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<ReferralModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Referrals"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">0f096a16-0a04-41b8-b9ce-dbb1735ab80d</Id> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>3</SortOrder> </ReferralModel>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
ReferralModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the referral. |
string |
None. |
| IsDefault |
Indicates whether the referral is default or not. |
boolean |
None. |
| SortOrder |
Sort order of the referral. |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"isDefault": true,
"sortOrder": 3,
"id": "c9de77f3-f044-48a0-b9a8-97017a4418aa",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<ReferralModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Referrals"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">c9de77f3-f044-48a0-b9a8-97017a4418aa</Id> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>3</SortOrder> </ReferralModel>